QGIS Application - Bug report #2770
crash when zooming to layer extent
2010-06-01 06:21 PM - ScottParker -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupts data: Copied to github as #: 12830
Description

- using Albers coordinate system - zoom to layer extent of gpx file works OK
- change to latlong WGS84
- now zoom to layer extent causes QGIS to crash with "needs to close" message

zoom to layer extent works OK with other gpx files

History

#1 - 2010-06-02 02:36 AM - Giovanni Manghi

Please attach gpx track or add a link where it is possible to download it.

#2 - 2010-06-02 05:21 PM - ScottParker -

I have tried to reduce the datasets and sequence required to reproduce the bug but this is the best | can do.

-start with testing2.qgs (NAD83/ CA Albers EPSG 3310)

-add http://atlas.ca.gov/casil/imageryBaseMapsLandCover/baseMaps/drg/30x60_minute_series_albers_nad83_untrimmed/f38119a1.tif (nothing smaller

seems to cause the problem)

-add testing4GM.gpx

-change to WGS84 EPSG 4326

-select testingdGM and Zoom to layer extent

#3 - 2010-06-03 01:46 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

A few points:

*) the project was made with qgis 1.0.2, if you are using such version you should specify that, not "head", in the ticket.

*) the problem should be duplicate of #2457, you may want to add there new findings about this problem. Reopen if necessary.
http://atlas.ca.gov/casil/imageryBaseMapsLandCover/baseMaps/drg/30x60_minute_series_albers_nad83_untrimmed/f38119a1.tif

*) in any case you cannot reproject rasters in qgis, but | agree that qgis should not crash in this situations

#4 - 2010-06-03 04:28 AM - Giovanni Manghi

see also #2457

#5 - 2010-09-28 04:54 PM - ScottParker -

| verified the fix with this data in case the fix for #2457 did not cover this one. It does not reproject on the fly (I did not expect on the fly.) but it does not
crash as before.

Thanks for fixing this.

Files

testingdGM.gpx 11.1 KB 2010-06-02 ScottParker -
testing2.qgs 2.39 KB 2010-06-02 ScottParker -

2025-04-27 22



